Bug 968818 - pmchart in archive mode displays wrong metric after deleting a plot and adding a new plot
pmchart in archive mode displays wrong metric after deleting a plot and addin...
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: pcp (Show other bugs)
el6
Unspecified Linux
high Severity high
: ---
: ---
Assigned To: Dave Brolley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 23:48 EDT by Mark Goodwin
Modified: 2017-08-23 11:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pmchart showing the wrong metric values being plotted (27.32 KB, image/png)
2013-05-29 23:48 EDT, Mark Goodwin
no flags Details
PCP archive tarball from repro recipe (320.19 KB, application/x-gzip)
2017-05-03 03:18 EDT, Mark Goodwin
no flags Details

  None (edit)
Description Mark Goodwin 2013-05-29 23:48:52 EDT
Created attachment 754636 [details]
pmchart showing the wrong metric values being plotted

Description of problem:
In archive mode, deleting a plot from an existing chart and then adding a new plot for a different metric, displays the metric values from the deleted plot, not the values from the new metric.

Version-Release number of selected component (if applicable): 1.5.9

How reproducible: always

Steps to Reproduce:
1. In archive mode, delete a plot from an existing chart (e.g. delete mem.util.free from a chart showing the "Memory" view)
2. add a new plot to the same chart for a different metric (say mem.util.dirty) 
3. move the archive position slider to refresh the charts 

Actual results:
pmchart displays the new plot with values from the deleted metric, not the new one, even though the legend and plot colors are correct

Expected results:
display the right metric values for the new plot (or use the right context if that is the root cause behind this bug)

Additional info: see attached image showing mem.util.dirty plotted using metric values from mem.util.free
Comment 1 Nathan Scott 2015-01-27 23:25:11 EST
Move pcp-gui bugs into pcp, post-package-merge.
Comment 2 Dave Brolley 2017-03-27 14:08:00 EDT
I have been unsuccessful in reproducing this problem as reported. While attempting to do so, I thought I had run into an underlying issue when the removed metric was still displayed in the metric details window (double click on the chart area). However that turned out to be a bug in the metric details window itself (fixes have been submitted for upstream review).

Perhaps with the original archive and pmchart view, I would be more successful.
Comment 3 Mark Goodwin 2017-05-03 03:18 EDT
Created attachment 1275840 [details]
PCP archive tarball from repro recipe
Comment 4 Mark Goodwin 2017-05-03 03:27:33 EDT
1. unpack the archive (attached to this BZ)
$ tar xf 20170502.tgz          

2. create two charts showign the same Memory view
$ pmchart -O-0 -a 20170502.06.55 -geometry 512x1024 -c Memory -c Memory
Observe in both charts that mem.util.free (green) is about 0.25GB and mem.util.other is about 6GB.

3. left-click in the bottom chart to make it current, then Edit/Chart and delete the plot for mem.util.other

4. Now observe that mem.util.free (in green) is now showing about 7GB free in the bottom chart, which is
what used to be mem.util.other (compare this with the unchanged top chart).

i.e. the wrong metric is being displayed for mem.util.free after deleting the plot for mem.util.other.

There are other ways to repro this too, but the above seems reliable

Note You need to log in before you can comment on or make changes to this bug.